Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 19 Sep 2020 17:00:37 +0200

Juanma Barranquero <[email-masked]> writes:

>> Anyway, if you have a patch, please send it to the bug's address again.
>
> I'm going to commit the first patch (after -hook -> -functions), and
> then I'll work on the note patch.

This was eight years ago -- it looks like the patch was applied, but I'm
not sure about the note thing?

  > - Optionally, let the user enter a short note of why he has locked the
  >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
  >   Helpful as reminder for people who run Emacs for several days.

It doesn't look like this was implemented?  But it does sound kinda
useful...  would `M-x lock-buffer' just prompt for a reason?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no